## cflow 2.0

=== Makefile ===
# 
# $Id: Makefile,v 1.7 1995/03/06 14:00:00 leisner Exp leisner $
ifeq "$(origin CC)" "default"
CC=gcc
endif

# use cp backup option if you have gnu cp
CP=cp
CP=cp -b

# where you want to install
ifndef PREFIX
PREFIX=$(HOME)
endif

# which shell do we use for the cflow to script?
# I know it works on bash on unix, it also should work with
# msh on ms-dog
ifndef CFLOW_SHELL
CFLOW_SHELL=/bin/bash
endif

# actual location of prcc
PRCC_LOC=$(PREFIX)/bin/prcc

# actual location of prcg
PRCG_LOC=$(PREFIX)/bin/prcg

# CFLOW_SHELL=/usr/gnu/bin/bash

PROGS=prcc prcg
# I've seen very long names, and it broke badly with them...

DEFS=-DNAME_MAX=50

# Set if you use Gray Watson dmalloc library
# MALLOC_DEBUG=true
ifdef MALLOC_DEBUG
LOADLIBES=-L$(HOME)/lib -ldmalloc
endif

DEBUG=-g
OPT=-O
CFLAGS=-Wall $(DEBUG) $(OPT) $(DEFS)

# set this to where to install
BINDIR=$(PREFIX)/bin

SRCS=cflow.sh prcc.c prcg.c

PROGS=	prcc prcg

all: $(PROGS)  cflow

$(PROGS):	%:	%.o



PROTOTYPES= prcc.prototypes.h prcg.prototypes.h



.PHONY:  $(PROTOTYPES)
prototypes: 	$(PROTOTYPES)


install:	install-cflow  install-bins

install-bins: $(BINDIR)/prcc $(BINDIR)/prcg

install-cflow:	$(BINDIR)/cflow

$(BINDIR)/prcc $(BINDIR)/prcg: $(BINDIR)/%:	%
	$(CP) $^ $@

$(BINDIR)/cflow:	cflow
	$(CP) $^ $@

cflow:	cflow.sh
	sed -e "s;@CFLOW_SHELL@;$(CFLOW_SHELL);g" \
	    -e "s;@PRCC@;$(PRCC_LOC);" \
	    -e "s;@PRCG@;$(PRCG_LOC);" $< >$@
	chmod +x $@


test:	cflow
	./cflow -X 'errno.h stdlib.h' prcc.c >test.prcc
	./cflow -X 'errno.h stdlib.h' -i prcc.c >test.i.prcc
	diff examples/prcc.cflow test.prcc
	diff examples/prcc.i.cflow test.i.prcc
	# if we got this far, remove examples
	rm test.i.prcc test.prcc

$(PROTOTYPES):	%.prototypes.h:	%.c
	cproto -s $^ >$@

clean::
	-rm $(PROGS) *.o test.prcc test.i.prcc


DISTFILES= cflow.lsm $(PROTOTYPES)  TODO  examples cflow.txt cflow.1 $(SRCS) INSTALL  README Makefile

tar:	cflow.txt examples
	tar -czf cflow.tar.gz $(DISTFILES) 
	@rm cflow.txt


shar:	cflow.txt examples 
	shar -T $(DISTFILES)  >cflow.shar
	@rm cflow.txt

.PHONY: examples
examples:
	-mkdir examples
	cflow -X 'errno.h stdlib.h' prcc.c >examples/prcc.cflow
	cflow -X 'errno.h stdlib.h' -i prcc.c >examples/prcc.i.cflow

	
rcsdiff:
	rcsdiff cflow.1 cflow.sh prcc.c prcg.c Makefile


cflow.txt:	cflow.1
	groff -Tascii -mandoc $< >$@

dos-cflow:
	$(MAKE) CFLOW_SHELL=/marty/bin/shdos16 PREFIX=/dos/marty  install-cflow
zip:

## cflow 1.3

=== debian/changelog ===
cflow (1:1.3-3) unstable; urgency=low

  * New maintainer (closes: #589959).
  * Bump S-V to 3.9.0 (no changes needed).

 -- Serafeim Zanikolas <sez@debian.org>  Sat, 24 Jul 2010 03:37:03 +0200

cflow (1:1.3-2) unstable; urgency=low

  * Add Vcs-* fields.
  * Bump standards version to 3.8.4 (no changes needed).
  * Update my e-mail address.
  * Switch to source format 3.0 (quilt).
  * Switch from cdbs to dh.
    + As a nice side effect, testsuite is now run at build time.
  * Drop build-dependency on autotools-dev; it's wasn't really needed for
    anything.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 28 Apr 2010 16:43:34 +0200

cflow (1:1.3-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: use the canonical GNU FTP mirror.
  * debian/copyright: update.
  * debian/rules: remove /usr/share/info/dir* after install.

 -- Jakub Wilk <ubanus@users.sf.net>  Mon, 03 Aug 2009 10:18:48 +0200

cflow (1:1.2-3) unstable; urgency=low

  * New maintainer (closes: #531731).
  * Bump standards version; no changes needed.
  * Remove superfluous debian/dirs.
  * Rewrite debian/copyright:
    - cflow 1.2 is GPL-3+;
    - use the DEP-5 format.
  * Add cflow-mode.el for Emacs.
  * Expand the long description.
  * Provide a more comprehensive manual page.

 -- Jakub Wilk <ubanus@users.sf.net>  Sat, 27 Jun 2009 11:56:48 +0200

cflow (1:1.2-2) unstable; urgency=low

  * QA upload, orphaning this package.

 -- Bart Martens <bartm@debian.org>  Wed, 03 Jun 2009 17:48:51 +0200

cflow (1:1.2-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Updated.
  * debian/control, debian/rules, debian/manpages: Switch to cdbs.

 -- Bart Martens <bartm@knars.be>  Mon,  2 Jul 2007 20:03:02 +0200

cflow (1:1.1-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@knars.be>  Sat, 15 Jul 2006 16:37:48 +0200

cflow (1:1.0-2) unstable; urgency=low

  * debian/control, debian/cflow.1, debian/copyright, debian/README.Debian:
    Changed my e-mail address.
  * debian/compat, debian/control, debian/rules: Newer debhelper version.
  * debian/copyright: Updated.
  * debian/watch: Added.
  * debian/control: Standards version.

 -- Bart Martens <bartm@knars.be>  Tue, 13 Jun 2006 18:52:39 +0200

cflow (1:1.0-1) unstable; urgency=low

  * New maintainer.  Closes: #353124.
  * Replaced the upstream part of this Debian package by GNU cflow.
    Closes: #336119, #290086, #352761, #336124, #353192.
  * Acknowledging NMU.  Closes: #235235.  NMU by Sebastian Muszynski
    <do2ksm@linkt.de>, thanks.

 -- Bart Martens <bart.martens@advalvas.be>  Fri, 17 Feb 2006 19:32:02 +0100

cflow (2.0-17.1) unstable; urgency=low

  * NMU.
  * bad permissions for control direcotry fixed by adding
    "chmod -R g-s ." to clean target of debian/rules (closes: #235235).

 -- Sebastian Muszynski <do2ksm@linkt.de>  Fri, 19 Mar 2004 12:06:18 +0100

cflow (2.0-17) unstable; urgency=low

  * Fixed ancient invocation of sort to use the modern sort -k syntax.
    This closes: #204892, reported by Paul Eggert.
  * Standards-Version 3.6.0

 -- Richard Braakman <dark@xs4all.nl>  Tue, 19 Aug 2003 23:35:22 +0300

cflow (2.0-16) unstable; urgency=low

  * Standards-Version 3.5.8
  * Fixed typos in README.
  * Make building with -g the default again.  Also add -O2 unless "noopt"
    is in the build options.
  * Drop /usr/doc/cflow symlink handling.

 -- Richard Braakman <dark@xs4all.nl>  Thu, 12 Dec 2002 04:21:55 +0200

cflow (2.0-15) unstable; urgency=low

  * Corrected definition of YACC in cflow script, running cflow on .y
    files should work now.  This closes: #120322, reported by Joe Crayne.
  * Corrected spelling error in INSTALL file.  This closes: #120321,
    reported by Joe Crayne.
  * Removed emacs variables from changelog.

 -- Richard Braakman <dark@xs4all.nl>  Wed, 21 Nov 2001 22:11:14 +0200

cflow (2.0-14) unstable; urgency=low

  * Change priority from standard to optional.  (It was already
    overridden to optional in the archive.)
  * Add .pc (Pro*C) to the list of files that should be treated like .c.
    This closes: #89587 wishlist.

 -- Richard Braakman <dark@xs4all.nl>  Thu, 15 Mar 2001 21:25:53 +0200

cflow (2.0-13) unstable; urgency=high

  * New maintainer.
  * Acknowledge non-maintainer release 2.0-12.1
    (closes: bug#19786, bug#19280).
  * Install prcc and prcg only in /usr/lib/cflow/, not also in /usr/bin.
  * Undebhelpered (closes: bug#70326 about missing Build-Depends).
  * Moved documentation to /usr/share.
  * Made debian/rules sensitive to DEB_BUILD_OPTIONS environment variable.
  * debian/postinst, prerm: Handle compatibility symlink /usr/doc/cflow.
  * Set Standards-Version to 3.2.1.
  * Only strip executables (closes: bug#85254, bug#62482).

 -- Richard Braakman <dark@xs4all.nl>  Fri,  9 Feb 2001 21:11:35 +0200

cflow (2.0-12.1) frozen unstable; urgency=medium

  * Non maintainer release.
  * Resurrected from orphaned.
  * Converted debian/rules to use debhelper instead of debstd
    (fixing various md5sum errors, and avoiding change in behaviour
    of debstd). (Fixes #19280)
  * Changed cflow to use tempfile, and added dependency on 
    debianutils >= 1.6. (Fixes #19786)
  * Moved /usr/doc/examples/cflow to /usr/doc/cflow/examples
    (Fixes #16923)

 -- Anthony Towns <ajt@debian.org>  Thu, 16 Apr 1998 03:08:15 +1000

cflow (2.0-12) unstable; urgency=low

  * Moved internal binaries to /usr/lib/cflow 

 -- Ioannis Tambouras <ioannis@debian.org>  Thu,  4 Dec 1997 15:55:04 -0500

cflow (2.0-11) unstable; urgency=low

  * Periodic check on policy compliance and testing of binaries
  * Striped binaries 
  * Minor changes to debian/rules 
  * Many changes to makefile to enhance readability 
  * Moved internal binaries to /usr/lib/cflow
  * symlinked manpages of internal binaries to cflow(1)

 -- Ioannis Tambouras <ioannis@debian.org>  Mon, 10 Nov 1997 23:11:26 -0500

cflow (2.0-10) unstable; urgency=low

  * lib6 update 


=== debian/control ===
Source: cflow
Section: devel
Priority: optional
Maintainer: Serafeim Zanikolas <sez@debian.org>
Build-Depends: debhelper (>= 7.0.50~), docbook-xml (>= 4.5), docbook-xsl, xsltproc
Standards-Version: 3.9.0
Homepage: http://www.gnu.org/software/cflow/
Vcs-Hg: http://hg.debian.org/hg/collab-maint/cflow/
Vcs-Browser: http://hg.debian.org/hg/collab-maint/cflow/

Package: cflow
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Analyze control flow in C source files
 GNU cflow analyzes a collection of C source files and prints a graph, charting
 control flow within the program.
 .
 GNU cflow is able to produce both direct and inverted flowgraphs for C
 sources. Optionally a cross-reference listing can be generated. Two output
 formats are implemented: POSIX and GNU (extended).
 .
 Input files can optionally be preprocessed before analyzing.

=== debian/rules ===
#!/usr/bin/make -f

XSL = http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
XSLTPROC = xsltproc --nonet --param man.charmap.use.subset 0

.PHONY: override_dh_installdocs
override_dh_installdocs: debian/cflow.1
	dh_installdocs

debian/cflow.1:
	$(XSLTPROC) -o debian/ $(XSL) debian/manpage.xml

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install
	rm -f debian/cflow/usr/share/info/dir*

.PHONY: build build-arch build-indep binary binary-arch binary-indep clean
build build-arch build-indep binary binary-arch clean:
	dh $(@)
# In order not to confuse lintian, binary-indep is a separate target:
binary-indep:

# vim:ts=4 sw=4 noet

## cflow 1.4

=== debian/changelog ===
cflow (1:1.4-1) unstable; urgency=low

  * New upstream release.
  * Bump S-V to 3.9.2 (no changes needed).

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 27 Nov 2011 18:51:12 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Serafeim Zanikolas <sez@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), docbook-xml (>= 4.5), docbook-xsl, xsltproc
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 Homepage: http://www.gnu.org/software/cflow/
 Vcs-Hg: http://hg.debian.org/hg/collab-maint/cflow/
 Vcs-Browser: http://hg.debian.org/hg/collab-maint/cflow/

## cflow 1.4%2Bdfsg1

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d+$// \
    ftp://ftp.gnu.org/gnu/cflow/cflow-([0-9.]+)[.]tar[.]gz

## cflow 1.4+dfsg1

=== debian/changelog ===
cflow (1:1.4+dfsg1-3ubuntu1) utopic; urgency=medium

  * Call autoreconf.
  * Update the nodocs patch.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Sep 2014 16:18:45 +0200

cflow (1:1.4+dfsg1-3) unstable; urgency=low

  * Reset debian/compat to level 9.
  * Bump S-V to 3.9.5
    * debian/rules: drop explicit call to dh_installdocs
    * build-depend on autotools-dev and update/restore autoconf-generated
      files (Closes: #744420, #727342).
  * Build with hardening flags.

 -- Serafeim Zanikolas <sez@debian.org>  Sat, 10 May 2014 19:58:16 +0100

cflow (1:1.4+dfsg1-2) unstable; urgency=high

  * Revert debian/compat to 7 and versioned dependency on debhelper to
    7.0.50~, to meet current freeze rules.

 -- Serafeim Zanikolas <sez@debian.org>  Fri, 14 Dec 2012 10:41:13 +0100

cflow (1:1.4+dfsg1-1) unstable; urgency=high

  * Repackage with non DFSG-free texinfo files stripped out of the source and
    binary package (closes: #695715).
      - Add dversionmangle in debian/watch
      - Add debian/patches/nodocs to patch upstream Makefile to not traverse
        into the doc directory
      - debian/rules clean: wipe autogenerated doc/Makefile
      - Add debian/README.source
  * Raise debhelper compatibility level to 9 and update the debhelper version
    dependency, to enable security hardening

 -- Serafeim Zanikolas <sez@debian.org>  Wed, 12 Dec 2012 17:25:47 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Serafeim Zanikolas <sez@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), docbook-xml (>= 4.5), docbook-xsl, xsltproc
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), docbook-xml (>= 4.5), docbook-xsl, xsltproc,
+ dh-autoreconf, autotools-dev
+Standards-Version: 3.9.5
 Homepage: http://www.gnu.org/software/cflow/
 Vcs-Hg: http://hg.debian.org/hg/collab-maint/cflow/
 Vcs-Browser: http://hg.debian.org/hg/collab-maint/cflow/

=== debian/rules ===
#!/usr/bin/make -f

XSL = http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
XSLTPROC = xsltproc --nonet --param man.charmap.use.subset 0

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

.PHONY: override_dh_installdocs
override_dh_installdocs: debian/cflow.1
	dh_installdocs

debian/cflow.1:
	$(XSLTPROC) -o debian/ $(XSL) debian/manpage.xml

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install
	rm -f debian/cflow/usr/share/info/dir*

override_dh_auto_clean:
	dh_testdir
	rm -f doc/Makefile debian/cflow.debhelper.log
	dh_auto_clean

%:
	dh $@ --with autoreconf

# vim:ts=4 sw=4 noet

## cflow 1.5

=== debian/changelog ===
cflow (1:1.5-1) unstable; urgency=medium

  * QA upload.
  * Set QA Group as maintainer
  * New upstream release
  * Fix `debian/watch' to match xz compressed releases
  * Verify GPG signatures of upstream releases
  * Remove `patches/nodoc' (Closes: #885147, #906684)
    + Upstream license for documentation no longer includes cover-texts
      condition, and is considered DFSG-free.
  * wrap-and-sort -sta
  * Fix whitespace errors in following files:
    + debian/changelog
    + debian/manpage.xml
  * Update standards version to 4.2.1 (no changes needed)
  * Update debhelper compat to 11
  * Build-depend on `debhelper-compat' (obsoletes `debian/compat')
  * Update Vcs-* fields in `debian/control'
  * Adjust `debian/copyright' to latest (1.0) revision of dep-5 format
  * Remove useless dependency on dh-autoreconf (implied by compat=11)
  * Use secure protocol in homepage URL
  * Simplify `debian/rules' (eliminates dependency on `autotools-dev')
  * Add lintian overrides about invariant sections of GNU Free Documentation
    License. Upstream uses slightly different wording, that confuses lintian.

 -- Dmitry Bogatov <KAction@debian.org>  Mon, 10 Dec 2018 04:09:30 +0000

=== debian/control ===
Source: cflow
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 11),
 docbook-xml (>= 4.5),
 docbook-xsl,
 xsltproc,
Standards-Version: 4.2.1
Homepage: https://www.gnu.org/software/cflow/
Vcs-Browser: https://salsa.debian.org/debian/cflow
Vcs-Git: https://salsa.debian.org/debian/cflow.git

Package: cflow
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Analyze control flow in C source files
 GNU cflow analyzes a collection of C source files and prints a graph, charting
 control flow within the program.
 .
 GNU cflow is able to produce both direct and inverted flowgraphs for C
 sources. Optionally a cross-reference listing can be generated. Two output
 formats are implemented: POSIX and GNU (extended).
 .
 Input files can optionally be preprocessed before analyzing.

## cflow 1.6

=== debian/changelog ===
cflow (1:1.6-4) unstable; urgency=medium

  * QA upload.
  * Add missing Breaks+Replaces (Closes: #931902)

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 16 Aug 2019 07:02:31 +0000

cflow (1:1.6-3) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.
  * Update standards version to 4.4.0

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 12 Jul 2019 01:55:26 +0000

cflow (1:1.6-2) experimental; urgency=medium

  * QA upload.
  * [9f1c85fd] Add Gitlab CI config file
  * [00aab9e1] Add missing build-dependency on texinfo
  * [858cae7b] Move optional data into separate packages
  * [7d78e8ef] Install HTML version of TexInfo manual (Closes: #930424)
  * [1cde1136] Write and install doc-base control file
  * [cce7d2fa] Make sure package builds two times in row

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 15 Jun 2019 20:57:12 +0000

cflow (1:1.6-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 23 Feb 2019 22:11:56 +0000

cflow (1:1.5-2) unstable; urgency=medium

  * QA upload
  * Remove unneeded lintian override (See: #916095)
  * Update standards version to 4.3.0 (no changes needed)
  * Bump debhelper version to 12
  * Add autopkgtest, reusing upstream tests

 -- Dmitry Bogatov <KAction@debian.org>  Thu, 24 Jan 2019 07:10:22 +0000

=== debian/control ===
Source: cflow
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 12),
 docbook-xml (>= 4.5),
 docbook-xsl,
 xsltproc,
 texinfo,
Standards-Version: 4.4.0
Homepage: https://www.gnu.org/software/cflow/
Vcs-Browser: https://salsa.debian.org/debian/cflow
Vcs-Git: https://salsa.debian.org/debian/cflow.git
X-Short-Desc: control flow analyzer for C source files
X-Long-Desc:
 GNU cflow analyzes a collection of C source files and prints a graph, charting
 control flow within the program.
 .
 GNU cflow is able to produce both direct and inverted flowgraphs for C
 sources. Optionally a cross-reference listing can be generated. Two output
 formats are implemented: POSIX and GNU (extended).
 .
 Input files can optionally be preprocessed before analyzing.

Package: cflow
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests: cflow-doc, cflow-l10n
Description: ${S:X-Short-Desc}${S:X-Long-Desc}

Package: cflow-doc
Section: doc
Breaks: cflow (<< 1:1.6-2)
Replaces: cflow (<< 1:1.6-2)
Architecture: all
Depends: ${misc:Depends}
Description: ${S:X-Short-Desc} (documentation)${S:X-Long-Desc}

Package: cflow-l10n
Section: localization
Breaks: cflow (<< 1:1.6-2)
Replaces: cflow (<< 1:1.6-2)
Architecture: all
Depends: ${misc:Depends}
Description: ${S:X-Short-Desc} (translation files)${S:X-Long-Desc}

=== debian/rules ===
#!/usr/bin/make -f

XSL = http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
XSLTPROC = xsltproc --nonet --param man.charmap.use.subset 0

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/default.mk
export CFLAGS  += $(shell getconf LFS_CFLAGS)
export LDFLAGS += $(shell getconf LFS_LDFLAGS)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	$(MAKE) html

override_dh_installdocs:
	$(XSLTPROC) -o debian/ $(XSL) debian/manpage.xml
	dh_installdocs

=== debian/tests/control ===
Depends: @
Test-Command: tests/testsuite

=== debian/watch ===
version=3
opts="pgpmode=auto" \
    https://ftp.gnu.org/gnu/cflow/cflow-([0-9.]+)@ARCHIVE_EXT@

## cflow 1.7

=== debian/changelog ===
cflow (1:1.7-5) unstable; urgency=medium

  * debian/control: Bump Standards-Version to "4.6.2".
  * debian/copyright: Update packaging copyright years.
  * debian/patches/01_add_v1.7opts_to_manpage.patch: Update Forwarded.

 -- Marcos Talau <talau@debian.org>  Wed, 06 Sep 2023 20:59:20 +0530

cflow (1:1.7-4) unstable; urgency=medium

  * Update Maintainer mail.
  * debian/source/lintian-overrides: Remove. No longer need.
  * debian/source/options: New. Add diff-ignore to "tests/testsuite".
  * debian/tests/control: Add restriction skip-not-installable to
    test "cflow-mode.el".

 -- Marcos Talau <talau@debian.org>  Fri, 02 Sep 2022 12:31:33 -0300

cflow (1:1.7-3) unstable; urgency=medium

  * debian/control: Bump Standards-Version to 4.6.1, no changes.
  * debian/copyright: Update packaging copyright years.

 -- Marcos Talau <marcos@talau.info>  Fri, 10 Jun 2022 15:54:05 -0300

cflow (1:1.7-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/patches/01_add_v1.7opts_to_manpage.patch: New. Add new options from
    version 1.7 to manpage.

 -- Marcos Talau <marcos@talau.info>  Fri, 31 Dec 2021 11:18:33 -0300

cflow (1:1.7-1) experimental; urgency=medium

  * New upstream version 1.7.
  * Remove all patches. The upstream is using them.
  * debian/copyright: Update copyright years.
  * debian/tests/cflow.clitest: Add commands to new options available
    in this version.

 -- Marcos Talau <marcos@talau.info>  Thu, 30 Dec 2021 14:44:30 -0300

cflow (1:1.6-7) UNRELEASED; urgency=medium

  * Set previous revision 1:1.6-5 as UNRELEASED.
  * debian/copyright: Register the files doc/imprimatur/README, NEWS, README,
    and TODO with a short premissive license.

 -- Marcos Talau <marcos@talau.info>  Wed, 29 Dec 2021 15:24:54 -0300

cflow (1:1.6-6) unstable; urgency=medium

  * New maintainer (Closes: #749339).
  * Thanks to Jakub Wilk for cflow Debian manpage. Now use upstream manpage.
    Consequently:
    - debian/control: Remove xsltproc from Build-Depends.
    - debian/manpage.xml: Remove.
    - debian/manpages: Update manpage filename.
    - debian/rules: Remove entries related to build the old manpage.
  * debian/.gitlab-ci.yml: Remove. Replace to salsa-ci.yml
  * debian/cflow.install: Update. Not use installation directory to
    usr/bin/cflow. Remove some slashes.
  * debian/cflow-doc.install: Update. Not use installation directory to
    usr/share/info. Remove some slashes.
  * debian/cflow-l10n.install: Update. Not use installation directory.
    Remove some slash.
  * debian/clean: Remove unnecessary files.
  * debian/control:
    - Add `Multi-Arch: foreign' to the packages cflow-doc and cflow-l10n.
    - Add Rules-Requires-Root field.
    - Bump debhelper version to 13.
    - Bump Standards-Version to 4.6.0.
    - Description completely rewritten.
    - Remove docbook-xml and docbook-xsl from Build-Depends.
    - Remove the use of the X-Short-Desc and X-Long-Desc variables.
  * debian/copyright:
    - Add Jerry St.Clair to copyright of hiding.at and multi.at files.
    - Add Sergey Poznyakoff to copyright of po/* files.
    - Add to debian/*: Jakub Wilk and Serafeim Zanikolas.
    - Change license of gnu/* from GPL-2+ to GPL-3+.
    - Change Upstream-Contact to bug-cflow@gnu.org.
    - Complete the text of GFDL-1.2+ license.
    - Register file doc/gendocs.sh with GPL-3+.
    - Register tests/* with GPL-3+.
    - Update and reformat copyright years.
    - Update packaging copyright information.
    - Update upstream mail.
  * debian/docs: Remove AUTHORS file.
  * debian/install: Remove. No longer need.
  * debian/patches/:
    - 01_fix_CVEs_2019-16165_2019-16166_2020-23856.patch: New. Fix the CVEs:
      CVE-2019-16165, CVE-2019-16166, and CVE-2020-23856
      (Closes: #939915, #939916, #988985).
    - 02_fix_info_direntry_cflow-mode.patch: New. Fix the info direntry
      for cflow mode (Closes: #931113).
  * debian/README.source: Remove. No longer need.
  * debian/rules:
    - Add EMACS variable to avoid compilation failure when emacs is installed.
    - Replace override_dh_auto_build to execute_after_dh_auto_build.
    - Some clean ups.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/source/lintian-overrides: New. Lintian override on m4/po.m4.
  * debian/tests/control:
    - Add a superficial test.
    - Add test to compile cflow-mode.el
    - Add validation tests using clitest. Consequently: Create the files
      cflow.clitest and data/program.c
    - Remove the use of upstream tests.
  * debian/upstream/metadata: Add multiple fields.
  * debian/watch: Update the search rule and the version to 4.

 -- Marcos Talau <marcos@talau.info>  Tue, 28 Dec 2021 16:51:37 -0300

cflow (1:1.6-5) UNRELEASED; urgency=medium

  * QA upload.

  [ Dmitry Bogatov ]
  * Work in progress.

  [ Debian Janitor ]
  * Update standards version to 4.4.1, no changes needed.
  * Set upstream metadata fields: Bug-Submit.

 -- Dmitry Bogatov <KAction@debian.org>  Tue, 02 Feb 2021 19:06:08 +0000

=== debian/control ===
Source: cflow
Section: devel
Priority: optional
Maintainer: Marcos Talau <talau@debian.org>
Build-Depends: debhelper-compat (= 13),
               texinfo
Standards-Version: 4.6.2
Homepage: https://www.gnu.org/software/cflow
Vcs-Browser: https://salsa.debian.org/debian/cflow
Vcs-Git: https://salsa.debian.org/debian/cflow.git
Rules-Requires-Root: no

Package: cflow
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests: cflow-doc, cflow-l10n
Description: control flow analyzer for C source files
 GNU cflow analyzes a collection of source files written in C language
 and outputs a graph charting dependencies between various functions.
 .
 GNU cflow is able to produce two kinds of graphs: direct and reverse.
 Direct graph begins with the main function (or any other function),
 and displays recursively all functions called by it. In contrast,
 reverse graph is a set of subgraphs, charting for each function its
 callers, in the reverse order. Due to their tree-like appearance,
 graphs can also be called trees.
 .
 In addition to these two output modes, cflow is able to produce a
 cross-reference listing of all the symbols encountered in the input
 files.
 .
 GNU cflow also provides detailed control over symbols that will appear
 in its output, allowing to omit those that are of no interest to the
 user. The exact appearance of the output graphs is also configurable.

Package: cflow-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Breaks: cflow (<< 1:1.6-2)
Replaces: cflow (<< 1:1.6-2)
Depends: ${misc:Depends}
Description: control flow analyzer for C source files (documentation)
 GNU cflow analyzes a collection of source files written in C language
 and outputs a graph charting dependencies between various functions.
 .
 GNU cflow is able to produce two kinds of graphs: direct and reverse.
 Direct graph begins with the main function (or any other function),
 and displays recursively all functions called by it. In contrast,
 reverse graph is a set of subgraphs, charting for each function its
 callers, in the reverse order. Due to their tree-like appearance,
 graphs can also be called trees.
 .
 In addition to these two output modes, cflow is able to produce a
 cross-reference listing of all the symbols encountered in the input
 files.
 .
 GNU cflow also provides detailed control over symbols that will appear
 in its output, allowing to omit those that are of no interest to the
 user. The exact appearance of the output graphs is also configurable.
 .
 This package contains the HTML documentation and Info.

Package: cflow-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Breaks: cflow (<< 1:1.6-2)
Replaces: cflow (<< 1:1.6-2)
Depends: ${misc:Depends}
Description: control flow analyzer for C source files (localization files)
 GNU cflow analyzes a collection of source files written in C language
 and outputs a graph charting dependencies between various functions.
 .
 GNU cflow is able to produce two kinds of graphs: direct and reverse.
 Direct graph begins with the main function (or any other function),
 and displays recursively all functions called by it. In contrast,
 reverse graph is a set of subgraphs, charting for each function its
 callers, in the reverse order. Due to their tree-like appearance,
 graphs can also be called trees.
 .
 In addition to these two output modes, cflow is able to produce a
 cross-reference listing of all the symbols encountered in the input
 files.
 .
 GNU cflow also provides detailed control over symbols that will appear
 in its output, allowing to omit those that are of no interest to the
 user. The exact appearance of the output graphs is also configurable.
 .
 This package contains the translation files for the use of cflow in
 non-English locales.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# if you have Emacs installed, the `make install' will copy cflow-mode.el
# to debian/tmp, and this will produce an error on the dh_missing. Setting
# EMACS to no, fix it.
export EMACS=no

%:
	dh $@

execute_after_dh_auto_build:
	make html

=== debian/tests/control ===
Test-Command: cflow --help | grep "^Usage: cflow"
Restrictions: allow-stderr, superficial

Test-Command: cp /usr/share/emacs/site-lisp/cflow-mode.el $AUTOPKGTEST_TMP;
              cd $AUTOPKGTEST_TMP;
              emacs --no-site-file -q -batch \
                            --eval '(setq byte-compile-warnings nil)' \
                            -f batch-byte-compile cflow-mode.el;
              test -s cflow-mode.elc || exit 1
Depends: @, emacs-nox
Restrictions: allow-stderr, skip-not-installable

Test-Command: cp debian/tests/cflow.clitest $AUTOPKGTEST_TMP;
              cp debian/tests/data/program.c $AUTOPKGTEST_TMP;
              cd $AUTOPKGTEST_TMP;
              clitest cflow.clitest
Depends: @, clitest

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
     https://ftp.gnu.org/gnu/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## cflow 1.8

=== debian/changelog ===
cflow (1:1.8-1) unstable; urgency=medium

  * New upstream version "1.8" (Closes: #1096425).
  * debian/cflow.install: Add "usr/share/cflow" to provide cflow profiles.
  * debian/control:
    - Bump Standards-Version to "4.7.2".
    - Remove Rules-Requires-Root field.
  * debian/copyright: Update packaging copyright years.
  * debian/patches/01_add_v1.7opts_to_manpage.patch: Remove. No longer need.
  * debian/rules: Add override_dh_auto_build for hardening.
  * debian/tests/control: Improve Test-Command 1.
  * debian/watch: Update to version 5.

 -- Marcos Talau <talau@debian.org>  Fri, 19 Sep 2025 14:11:02 -0300

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Maintainer: Marcos Talau <talau@debian.org>
 Build-Depends: debhelper-compat (= 13),
                texinfo
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://www.gnu.org/software/cflow
 Vcs-Browser: https://salsa.debian.org/debian/cflow
 Vcs-Git: https://salsa.debian.org/debian/cflow.git
-Rules-Requires-Root: no
 
 Package: cflow
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,6 @@
 
 execute_after_dh_auto_build:
 	make html
+
+override_dh_auto_build:
+	dh_auto_build -- CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-Test-Command: cflow --help | grep "^Usage: cflow"
+Test-Command: cflow --help | grep "^[Uu]sage: cflow"
 Restrictions: allow-stderr, superficial
 
 Test-Command: cp /usr/share/emacs/site-lisp/cflow-mode.el $AUTOPKGTEST_TMP;

=== debian/watch ===
Version: 5

Source: https://ftp.gnu.org/gnu/@PACKAGE@
Pgp-Sig-Url-Mangle: s%$%.sig%
